//============================================================================
// Name        : FactoryMethod_Example.cpp
// Author      : 
// Version     :
// Copyright   : Your copyright notice
// Description : test a Factory Method design pattern
//============================================================================

#include "Computer.h"
#include "ComputerFactory.h"

#include <iostream>
using namespace std;

int main() {
	cout << "Factory method example" << endl;
	ComputerFactory* dell = new ComputerFactory;

	Computer* myNewComputer = dell->makeComputer(ComputerFactory::Portable);

	myNewComputer->run();
	myNewComputer->stop();
	return 0;
}
